Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# container.hh File Reference

A GtkContainer C++ wrapper interface. More...

`#include <xfc/gtk/widget.hh>`
`#include <gtk/gtkcontainer.h>`
`#include <xfc/gtk/inline/container.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Container
    A GtkContainer C++ wrapper class. More...

## Detailed Description

A GtkContainer C++ wrapper interface.

Provides Container, an abstract base class for widgets (parents) that contain other widgets (children).
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3